API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/material-buckets/{id}/bill

POST/v1/material-buckets/{id}/bill

Create a draft invoice from a closed material bucket, or append items to an existing draft invoice

Datenmodell

Diese Operation arbeitet auf der Entität Material Bucket (material_bucket). Alle 17 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
partyIderforderlichstring
unitPricestringDefault unit price per item (decimal string). Omit to use 0.00.
vatRatestring
paymentTermsDaysinteger
titlestring
existingInvoiceIdstringAppend items to this existing DRAFT invoice instead of creating a new one

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/material-buckets/{id}/bill \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "partyId": "string",
  "unitPrice": "string",
  "vatRate": "19",
  "paymentTermsDays": 0,
  "title": "string",
  "existingInvoiceId": "string"
}'
const result = await cm.material-buckets.post({
  "partyId": "string",
  "unitPrice": "string",
  "vatRate": "19",
  "paymentTermsDays": 0,
  "title": "string",
  "existingInvoiceId": "string"
});

Antwortcodes

HTTP Bedeutung
201 Default Response

Suche